JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const response = await client.documents.activate(2, { id: '123e4567-e89b-12d3-a456-426614174000' });
console.log(response.document);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.documents.activate(
version_number=2,
id="123e4567-e89b-12d3-a456-426614174000",
)
print(response.document)curl --request PUT \
--url https://api.avidoai.com/v0/documents/{id}/versions/{versionNumber}/activate \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"document": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-07T12:34:56.789Z",
"orgId": "org_123456789",
"assignee": "user_123456789",
"scrapeJobId": null
},
"newActiveVersion": {
"id": "321e4567-e89b-12d3-a456-426614174001",
"versionNumber": 1,
"title": "API Documentation",
"content": "Initial API documentation...",
"status": "ACTIVE"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Document Versions
Activate a specific version of a document
Makes a specific version the active version of a document. This is the version that will be returned by default when fetching the document.
PUT
/
v0
/
documents
/
{id}
/
versions
/
{versionNumber}
/
activate
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const response = await client.documents.activate(2, { id: '123e4567-e89b-12d3-a456-426614174000' });
console.log(response.document);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.documents.activate(
version_number=2,
id="123e4567-e89b-12d3-a456-426614174000",
)
print(response.document)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the document
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
The version number
Required range:
x <= 9007199254740991Example:
2
⌘I